/*
{
  "CREDIT" : "SHOWSYNC",
  "CATEGORIES" : [
    "Beat"
  ],
  "DESCRIPTION" : "Flashes on the beat",
  "ISFVSN" : "2",
  "INPUTS" : [
    {
      "NAME" : "inputImage",
      "TYPE" : "image"
    },
    {
      "NAME" : "speed",
      "TYPE" : "float",
      "MIN" : 0.001,
      "MAX" : 32,
      "DEFAULT" : 1
    },
    {
      "NAME" : "fadeout",
      "TYPE" : "float",
      "MIN" : 0,
      "MAX" : 32,
      "DEFAULT" : 0
    },
    {
      "NAME" : "colorInput",
      "TYPE" : "color",
      "DEFAULT" : [1.0, 1.0, 1.0, 1.0]
    }
  ]
}
*/

void main()	{
  vec4 img = IMG_THIS_PIXEL(inputImage);
	float on = clamp(1.0 - mod(BEAT, speed) * 1.0/fadeout, 0.0, 1.0);
	gl_FragColor = vec4(vec3(on * colorInput) + img.rgb, 1);
}
